Summary: The kernel NFS server.
Name: knfsd
Version: 1.4.7
Release: 7
Source0: ftp://ftp.kernel.org/pub/linux/devel/gcc/knfsd-%{version}.tar.gz
Source1: knfsd.init
Source2: exports.5
Source3: nfsd.8
Source4: mountd.8
Source5: knfslock.init
Source6: ftp://ftp.kernel.org/pub/linux/devel/gcc/nfs.doc.tar.gz
Group: System Environment/Daemons
Obsoletes: nfs-server
Provides: nfs-server
Copyright: GPL
ExcludeArch: armv4l
Buildroot: /var/tmp/%{name}-root
Serial: 1
Requires: knfsd-clients = %{serial}:%{version}, kernel >= 2.2.5, portmap >= 4.0

%description
The knfsd package provides the kernel NFS server and related tools,
which provides a much higher level of performance than the traditional
Linux NFS server used by most users.

%package clients
Summary: Clients for connecting to a remote NFS server.
Group: Applications/System
Obsoletes: nfs-server-clients knfsd-lock
Provides: nfs-server-clients knfsd-lock
Serial: 1

%description clients
The knfsd-clients package contains the showmount program.  Showmount
queries the mount daemon on a remote host for information about the
NFS (Network File System) server on the remote host.  For example,
showmount can display the clients which are mounted on that host.
This package is not needed to mount NFS volumes.

Install knfsd-clients if you'd like to use the showmount tool for
querying NFS servers.

%prep
%setup -q -a 6

%build
%configure
make all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{/sbin,/usr/{sbin,man/man5,man/man8}}
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d

make install install_prefix=$RPM_BUILD_ROOT
install -s -m 755 tools/rpcdebug/rpcdebug $RPM_BUILD_ROOT/sbin
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/nfs
install -m 755 %{SOURCE5} $RPM_BUILD_ROOT/etc/rc.d/init.d/nfslock
touch $RPM_BUILD_ROOT/var/lib/nfs/rmtab

mv $RPM_BUILD_ROOT/usr/sbin/{rpc.lockd,rpc.statd} $RPM_BUILD_ROOT/sbin

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add nfs

%preun
if [ "$1" = "0" ]; then
    /sbin/chkconfig --del nfs
fi

%triggerpostun -- nfs-server
/sbin/chkconfig --add nfs

%files
%defattr(-,root,root)
/sbin/rpcdebug
/usr/sbin/exportfs
/usr/sbin/nfsstat
/usr/sbin/nhfsstone
/usr/sbin/rpc.mountd
/usr/sbin/rpc.nfsd
/usr/sbin/rpc.rquotad
/usr/man/man5/exports.5
/usr/man/man8/exportfs.8
/usr/man/man8/mountd.8
/usr/man/man8/nfsd.8
/usr/man/man8/nfsstat.8
/usr/man/man8/rpc.mountd.8
/usr/man/man8/rpc.nfsd.8
/usr/man/man8/rpc.rquotad.8
/usr/man/man8/rquotad.8
%config /etc/rc.d/init.d/nfs
%dir /var/lib/nfs
%config(noreplace) /var/lib/nfs/xtab
%config(noreplace) /var/lib/nfs/etab
%config(noreplace) /var/lib/nfs/rmtab
%doc KNOWNBUGS THANKS TODO nfs/*.html nfs/*.ps

%files clients
%defattr(-,root,root)
/usr/sbin/showmount
/usr/man/man8/showmount.8
/sbin/rpc.lockd
/sbin/rpc.statd
/usr/man/man8/rpc.statd.8
/usr/man/man8/statd.8
%config /etc/rc.d/init.d/nfslock
%dir /var/lib/nfs

%changelog
* Fri Sep 25 1999 Bill Nottingham <notting@redhat.com>
- triggerpostun on NFS server (#3241)
- mv rpc.lockd rpc.statd /sbin

* Wed Sep 22 1999 Cristian Gafton <gafton@redhat.com>
- start nfslock in S14, before the netfs stuff (mounting NFS dirs will
  actually require lock stuff running)

* Mon Sep 20 1999 Matt Wilson <msw@redhat.com>
- require serial:release

* Thu Sep 16 1999 Cristian Gafton <gafton@redhat.com>
- make it Serial:1 so we will obsolete the 98mmdd versions
- start knfsdlock in runlevels 3,4,5
- add the nfs.doc.tar.gz presentation

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- strip rpcdebug

* Fri Aug 20 1999 Jeff Johnson <jbj@redhat.com>
- don't start daemons if /etc/exports is zero length (#4616).

* Mon Aug 16 1999 Cristian Gafton <gafton@redhat.com>
- version 1.4.7

* Thu Jul 29 1999 Jeff Johnson <jbj@redhat.com
- merge knfsd-lock into clients.
- force server to require clients.

* Fri Jul 23 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.4.6.

* Fri Jul  9 1999 Jeff Johnson <jbj@redhat.com>
- on reload, do exportfs -r (#3962).

* Thu Jul  8 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.4.4.

* Fri Jun 18 1999 Bill Nottingham <notting@redhat.com>
- don't run by default

* Sat Jun 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.4.
- fix init.d/nfs restart (#3420)

* Wed Jun  9 1999 Dale Lovelace <dale@redhat.com>
- update to 1.3.3b
- fix man pages nfsd.8 mountd.8

* Wed Jun  9 1999 Dale Lovelace <dale@redhat.com>
- add missing man pages nfsd.8 mountd.8 (#3096)

* Thu Jun  3 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.3.3.
- permit mountd port to be specified on command line (#3220).
- don't perform silly reverse name lookup (#2994).
- start w/o offering NFSv3 service (#2554,#2610,#2973)..

* Fri Apr 16 1999 Cristian Gafton <gafton@redhat.com>
- make the init script deal more gracefully with the restart) part

* Fri Apr 09 1999 Cristian Gafton <gafton@redhat.com>
- block devices check for the RAID systems (patch from John Ireland
  <jireland@jesus.ox.ac.uk>)
- version 1.2.2
- start more nfsd daemons by default to improve performance

* Mon Apr 05 1999 Preston Brown <pbrown@redhat.com>
- the main package shouldn't obsolete the nfs-server-clients package. fixed.

* Wed Mar 31 1999 Preston Brown <pbrown@redhat.com>
- explicitly require portmap (bug #1902)

* Mon Mar 29 1999 Michael Johnson <johnsonm@redhat.com>
- fixed init script probe function to not respond "restart" all the time

* Mon Mar 29 1999 Preston Brown <pbrown@redhat.com>
- fixed exports man page

* Fri Mar 26 1999 Bill Nottingham <notting@redhat.com>
- rewrite initscript so we don't have 6 [OK|FAILED] on the same line. :)

* Wed Mar 24 1999 Erik Troan <ewt@redhat.com>
- added exports.5 man page from old user space nfs server

* Tue Mar 23 1999 Cristian Gafton <gafton@redhat.com>
- version 1.2
- auto rebuild in the new build environment (release 4)

* Mon Feb 08 1999 Matt Wilson <msw@redhat.com>
- fixed typo in initscripts

* Wed Feb 03 1999 Cristian Gafton <gafton@redhat.com>
- put showmount in the knfsd-clients

* Mon Dec 28 1998 Cristian Gafton <gafton@redhat.com>
- added %post and %preun scripts
- build as a separate package
- buildroot
